<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.huyi.service.base.mapper.ZcFinanceRecordMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.huyi.service.base.entity.ZcFinanceRecord">
        <id column="zfr_id" property="zfrId" />
        <result column="zfr_number" property="zfrNumber" />
        <result column="zfr_finance_id" property="zfrFinanceId" />
        <result column="zfr_amount" property="zfrAmount" />
        <result column="zfr_rate" property="zfrRate" />
        <result column="zfr_collection_account" property="zfrCollectionAccount" />
        <result column="zfr_handler" property="zfrHandler" />
        <result column="zfr_repayment_date" property="zfrRepaymentDate" />
        <result column="zfr_apply_date" property="zfrApplyDate" />
        <result column="zfr_loan_amount" property="zfrLoanAmount" />
        <result column="zfr_loan_date" property="zfrLoanDate" />
        <result column="zfr_loan_file" property="zfrLoanFile" />
        <result column="zfr_apply_amount" property="zfrApplyAmount" />
        <result column="zfr_apply_file" property="zfrApplyFile" />
        <result column="zfr_pay_number" property="zfrPayNumber" />
        <result column="zfr_pay_date" property="zfrPayDate" />
        <result column="zfr_apply_type" property="zfrApplyType" />
        <result column="zfr_approve_stt" property="zfrApproveStt" />
        <result column="zfr_status" property="zfrStatus" />
        <result column="zfr_apply_status" property="zfrApplyStatus" />
        <result column="zfr_profit_spare1" property="zfrProfitSpare1" />
        <result column="zfr_profit_spare2" property="zfrProfitSpare2" />
        <result column="zfr_profit_spare3" property="zfrProfitSpare3" />
        <result column="zfr_profit_spare4" property="zfrProfitSpare4" />
        <result column="zfr_profit_spare5" property="zfrProfitSpare5" />
        <result column="zfr_profit_spare6" property="zfrProfitSpare6" />
        <result column="zfr_profit_spare7" property="zfrProfitSpare7" />
        <result column="zfr_profit_spare8" property="zfrProfitSpare8" />
        <result column="zfr_profit_spare9" property="zfrProfitSpare9" />
        <result column="create_by" property="createBy" />
        <result column="create_time" property="createTime" />
        <result column="update_by" property="updateBy" />
        <result column="update_time" property="updateTime" />
    </resultMap>

</mapper>
